Bug 910146 - Review Request: python-socksipychain - Python SOCKS/HTTP Proxy module
Summary: Review Request: python-socksipychain - Python SOCKS/HTTP Proxy module
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 910699
TreeView+ depends on / blocked
 
Reported: 2013-02-11 21:48 UTC by Lukas Zapletal
Modified: 2018-02-13 15:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-13 15:58:17 UTC
msuchy: fedora-review+


Attachments (Terms of Use)

Description Lukas Zapletal 2013-02-11 21:48:22 UTC
Spec URL: https://raw.github.com/lzap/spec_reviews/master/python-SocksipyChain.spec
RPM URL: http://lzap.fedorapeople.org/fedora-packaging/python-SocksipyChain/2.0.12-1/python-SocksipyChain-2.0.12-1.noarch.rpm
SRPM URL: http://lzap.fedorapeople.org/fedora-packaging/python-SocksipyChain/2.0.12-1/python-SocksipyChain-2.0.12-1.src.rpm

Description: 
This Python module allows you to create TCP connections through a chain
of SOCKS or HTTP proxies without any special effort. It also supports
TLS/SSL encryption if the OpenSSL modules are installed.

Fedora Account System Username: lzap

Comment 1 Miroslav Suchý 2013-02-19 12:26:26 UTC
[!]: Package contains BR: python2-devel or python3-devel
See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Comment 3 Lukas Zapletal 2013-04-04 14:21:08 UTC
Many thanks with PageKite review, this is the last piece of the puzzle I need to package PageKite for EPEL5/6 and Fedoras ;-)

Comment 4 Miroslav Suchý 2013-04-05 09:21:23 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Dist tag is present.
[!]: Spec use %global instead of %define.
     Note: %define canonicalname SocksipyChain
[x]: Buildroot is not present
     Note: Buildroot: present but used only for el5
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but used only for el5
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     test use internet conectivity, therefore not welcome to run
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Issues:
[!]: Package is named according to the Package Naming Guidelines.
If I'm reading correctly:
https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29
and
https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#Case_Sensitivity
then the package should be name either python-pysocksipychain or pysocksipychain.
But not python-SocksipyChain.
I would suggest to use python-pysocksipychain (as already seen e.g in python-pycurl). And I do not think that devels
insist on some strict case sensitivity as they use plain camel case. And sometimes use SockSipychain, sometimes SocksipyChain or even SocksiPy.
[!]: Dist tag is present.
[!]: Spec use %global instead of %define.
[!]: Latest version is packaged. v2.0.4 has been released in mean time

Comment 5 Lukas Zapletal 2013-04-14 19:58:55 UTC
Hey Mirek,

thanks.

Issues:
[!]: Package is named according to the Package Naming Guidelines.

Right, fixed.

[!]: Dist tag is present.

OK

[!]: Spec use %global instead of %define.

OK

[!]: Latest version is packaged. v2.0.4 has been released in mean time

Not sure what you mean, the lastest is still 2.0.12.

[lzap@lzapx SOURCES]$ rpmlint /home/lzap/rpmbuild/BUILDROOT/python-socksipychain-2.0.12-3.fc18.x86_64 /home/lzap/rpmbuild/SRPMS/python-socksipychain-2.0.12-3.fc18.src.rpm
(none): E: no installed packages by name /home/lzap/rpmbuild/BUILDROOT/python-socksipychain-2.0.12-3.fc18.x86_64
python-socksipychain.src: W: file-size-mismatch python-SocksipyChain-2.0.12.tar.gz = 18086, http://pagekite.net/pk/src/python-SocksipyChain-2.0.12.tar.gz = 17978
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

(Perhaps some misconfiguration on the server, I just downloaded the file twice and it seems to be ok.)

[lzap@lzapx SOURCES]$ koji build --scratch rawhide /home/lzap/rpmbuild/SRPMS/python-socksipychain-2.0.12-3.fc18.src.rpm
Uploading srpm: /home/lzap/rpmbuild/SRPMS/python-socksipychain-2.0.12-3.fc18.src.rpm
[====================================] 100% 00:00:01  20.85 KiB  13.50 KiB/sec
Created task: 5250289
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5250289
Watching tasks (this may be safely interrupted)...
5250289 build (rawhide, python-socksipychain-2.0.12-3.fc18.src.rpm): open (arm02-builder07.arm.fedoraproject.org)
  5250291 buildArch (python-socksipychain-2.0.12-3.fc18.src.rpm, noarch): free
  5250291 buildArch (python-socksipychain-2.0.12-3.fc18.src.rpm, noarch): free -> open (buildvm-11.phx2.fedoraproject.org)
  5250291 buildArch (python-socksipychain-2.0.12-3.fc18.src.rpm, noarch): open (buildvm-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
5250289 build (rawhide, python-socksipychain-2.0.12-3.fc18.src.rpm): open (arm02-builder07.arm.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5250289 build (rawhide, python-socksipychain-2.0.12-3.fc18.src.rpm) completed successfully

Comment 6 Miroslav Suchý 2013-04-15 08:55:50 UTC
> Not sure what you mean, the lastest is still 2.0.12.

Yes. Correct. Ignore my previous comment about this one issue.

Comment 7 Miroslav Suchý 2013-04-15 09:09:33 UTC
I downloaded src.rpm from that koji task. But next time it is better to post link to new spec and new src.rpm in bugzilla comment.

All issues resolved.

APPROVED.

Comment 8 Lukas Zapletal 2013-04-30 15:47:16 UTC
New Package SCM Request
=======================
Package Name: python-socksipychain
Short Description: Python SOCKS/HTTP Proxy module
Owners: lzap
Branches: f18 f19 el5 el6

Thank you Mirek!

Comment 9 Gwyn Ciesla 2013-04-30 16:34:38 UTC
Requested package name python-socksipychain doesn't match bug summary
python-SocksipyChain, please correct.

Comment 10 Lukas Zapletal 2013-05-02 09:14:36 UTC
Corrected, thanks.

Comment 11 Gwyn Ciesla 2013-05-02 11:09:43 UTC
Git done (by process-git-requests).

Comment 13 Gwyn Ciesla 2013-05-03 19:44:55 UTC
Clearing flag.

Comment 14 Fedora Update System 2013-10-21 14:11:50 UTC
python-socksipychain-2.0.12-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-socksipychain-2.0.12-4.el5

Comment 15 Fedora Update System 2013-10-21 16:45:12 UTC
python-socksipychain-2.0.12-4.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 16 Fedora Update System 2013-11-11 18:32:54 UTC
python-socksipychain-2.0.12-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2018-01-29 08:11:39 UTC
python-socksipychain-2.0.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2cf21e719f

Comment 18 Fedora Update System 2018-01-29 18:44:10 UTC
python-socksipychain-2.0.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2cf21e719f

Comment 19 Fedora Update System 2018-02-13 15:58:17 UTC
python-socksipychain-2.0.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.